## ltt-control 2.14.1

=== src/vendor/fmt/Makefile ===
# Makefile.in generated by automake 1.17 from Makefile.am.
# src/vendor/fmt/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2024 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/lttng-tools
pkgincludedir = $(includedir)/lttng-tools
pkglibdir = $(libdir)/lttng-tools
pkglibexecdir = $(libexecdir)/lttng-tools
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = src/vendor/fmt
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
	$(top_srcdir)/m4/ax_append_flag.m4 \
	$(top_srcdir)/m4/ax_c___attribute__.m4 \
	$(top_srcdir)/m4/ax_check_class.m4 \
	$(top_srcdir)/m4/ax_check_classpath.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_check_link_flag.m4 \
	$(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/ax_config_feature.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
	$(top_srcdir)/m4/ax_define_dir.m4 \
	$(top_srcdir)/m4/ax_have_epoll.m4 \
	$(top_srcdir)/m4/ax_java_options.m4 \
	$(top_srcdir)/m4/ax_lib_socket_nsl.m4 \
	$(top_srcdir)/m4/ax_pkg_swig.m4 \
	$(top_srcdir)/m4/ax_prog_bison_version.m4 \
	$(top_srcdir)/m4/ax_prog_doxygen.m4 \
	$(top_srcdir)/m4/ax_prog_flex_version.m4 \
	$(top_srcdir)/m4/ax_prog_jar.m4 \
	$(top_srcdir)/m4/ax_prog_java.m4 \
	$(top_srcdir)/m4/ax_prog_java_works.m4 \
	$(top_srcdir)/m4/ax_prog_javac.m4 \
	$(top_srcdir)/m4/ax_prog_javac_works.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ax_require_defined.m4 \
	$(top_srcdir)/m4/ax_try_compile_java.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/lttng_check_sdt_works.m4 \
	$(top_srcdir)/m4/lttng_pthread_getname_np.m4 \
	$(top_srcdir)/m4/lttng_pthread_setname_np.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/pprint.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libfmt_la_LIBADD =
am_libfmt_la_OBJECTS = libfmt_la-format.lo libfmt_la-os.lo
libfmt_la_OBJECTS = $(am_libfmt_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libfmt_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(libfmt_la_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = 
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/libfmt_la-format.Plo \
	./$(DEPDIR)/libfmt_la-os.Plo
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libfmt_la_SOURCES)
DIST_SOURCES = $(libfmt_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' aclocal-1.17
AMTAR = $${TAR-tar}
AM_CFLAGS = -fvisibility=hidden -fno-strict-aliasing -Wall -Wextra -Wmissing-declarations -Wnull-dereference -Wundef -Wredundant-decls -Wshadow -Wsuggest-attribute=format -Wwrite-strings -Wformat=2 -Wstrict-aliasing -Wmissing-noreturn -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Winit-self -Wno-incomplete-setjmp-declaration -Wno-gnu-folding-constant -Wdiscarded-qualifiers -Wmissing-prototypes -Wmissing-parameter-type -Wsuggest-final-types -Wsuggest-final-methods -Wold-style-definition -Wstrict-prototypes -pthread
AM_CPPFLAGS = -I$(top_builddir)/include -I$(top_srcdir)/include -I$(top_builddir)/src -I$(top_srcdir)/src -include config.h  -I/build/include  -I/build/include 
AM_CXXFLAGS = -fvisibility=hidden -fvisibility-inlines-hidden -fno-strict-aliasing -Wall -Wextra -Wmissing-declarations -Wnull-dereference -Wundef -Wredundant-decls -Wshadow -Wsuggest-attribute=format -Wwrite-strings -Wformat=2 -Wstrict-aliasing -Wmissing-noreturn -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Winit-self -Wno-incomplete-setjmp-declaration -Wno-gnu-folding-constant -Wno-sign-compare -pthread
AM_DEFAULT_VERBOSITY = 0
AM_LDFLAGS = 
AR = ar
ARCHTYPE = x86
ASCIIDOC = /usr/bin/asciidoc
AUTOCONF = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' autoconf
AUTOHEADER = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' autoheader
AUTOMAKE = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' automake-1.17
AWK = gawk
BABELTRACE2_BIN = 
BABELTRACE_BIN = 
BISON_VERSION = 3.8.2
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CMD_DESCR_ADD_CONTEXT = Add context fields to be recorded
CMD_DESCR_ADD_TRIGGER = Add a trigger
CMD_DESCR_CLEAR = Clear a recording session
CMD_DESCR_CREATE = Create a recording session
CMD_DESCR_DESTROY = Destroy recording sessions
CMD_DESCR_DISABLE_CHANNEL = Disable channels
CMD_DESCR_DISABLE_EVENT = Disable recording event rules
CMD_DESCR_DISABLE_ROTATION = Unset a recording session rotation schedule
CMD_DESCR_ENABLE_CHANNEL = Create or enable a channel
CMD_DESCR_ENABLE_EVENT = Create or enable recording event rules
CMD_DESCR_ENABLE_ROTATION = Set a recording session rotation schedule
CMD_DESCR_HELP = Show the help of a command
CMD_DESCR_LIST = List recording sessions and instrumentation points
CMD_DESCR_LIST_TRIGGERS = List triggers
CMD_DESCR_LOAD = Load recording session configurations
CMD_DESCR_REGENERATE = Regenerate specific recording session data
CMD_DESCR_REMOVE_TRIGGER = Remove a trigger
CMD_DESCR_ROTATE = Archive the current trace chunk of a recording session
CMD_DESCR_SAVE = Save recording session configurations
CMD_DESCR_SET_SESSION = Set the current recording session
CMD_DESCR_SNAPSHOT = Take a recording session snapshot
CMD_DESCR_START = Start recording sessions
CMD_DESCR_STATUS = Show the status of the current recording session
CMD_DESCR_STOP = Stop recording sessions
CMD_DESCR_TRACK = Allow specific processes to record events
CMD_DESCR_UNTRACK = Disallow specific processes to record events
CMD_DESCR_VERSION = Show LTTng-tools version information
CMD_DESCR_VIEW = Launch a trace reader
CONFDIR = /usr/local/etc
CONFIG_LTTNG_SYSTEM_DATADIR = /usr/local/share
CONSUMERD32_BIN = 
CONSUMERD32_LIBDIR = 
CONSUMERD64_BIN = 
CONSUMERD64_LIBDIR = 
CPP = gcc -E
CPPFLAGS = -I/home/jenkins/workspace/lttng-tools_v2.14_release/deps/build/include
CSCOPE = cscope
CTAGS = ctags
CXX = g++ -std=gnu++11
CXXCPP = g++ -std=gnu++11 -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2

=== debian/changelog ===
ltt-control (2.14.1-1) unstable; urgency=medium

  * [68e9451] salsa-ci: extend build timeout for test suite
  * [49e1cc6] New upstream version 2.14.1
  * [7f6f29e] Drop patches merged upstream in 2.14.1
  * [ef03655] Install zsh completion files
  * [9606e70] Add systemd sd_notify support

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 30 Jan 2026 11:43:51 -0500

## ltt-control 2.15.0

=== src/vendor/fmt/Makefile ===
--- 
+++ 
@@ -93,17 +93,24 @@
 target_triplet = x86_64-pc-linux-gnu
 subdir = src/vendor/fmt
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/ax_ac_append_to_file.m4 \
+	$(top_srcdir)/m4/ax_ac_print_to_file.m4 \
+	$(top_srcdir)/m4/ax_add_am_macro_static.m4 \
+	$(top_srcdir)/m4/ax_am_macros_static.m4 \
+	$(top_srcdir)/m4/ax_append_compile_flags.m4 \
 	$(top_srcdir)/m4/ax_append_flag.m4 \
 	$(top_srcdir)/m4/ax_c___attribute__.m4 \
 	$(top_srcdir)/m4/ax_check_class.m4 \
 	$(top_srcdir)/m4/ax_check_classpath.m4 \
 	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
+	$(top_srcdir)/m4/ax_check_gnu_make.m4 \
 	$(top_srcdir)/m4/ax_check_link_flag.m4 \
+	$(top_srcdir)/m4/ax_code_coverage.m4 \
 	$(top_srcdir)/m4/ax_compare_version.m4 \
 	$(top_srcdir)/m4/ax_config_feature.m4 \
 	$(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
 	$(top_srcdir)/m4/ax_define_dir.m4 \
+	$(top_srcdir)/m4/ax_file_escapes.m4 \
 	$(top_srcdir)/m4/ax_have_epoll.m4 \
 	$(top_srcdir)/m4/ax_java_options.m4 \
 	$(top_srcdir)/m4/ax_lib_socket_nsl.m4 \
@@ -224,7 +231,7 @@
   done | $(am__uniquify_input)`
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' aclocal-1.17
+ACLOCAL = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.15_release/src/lttng-tools/config/missing' aclocal-1.17
 AMTAR = $${TAR-tar}
 AM_CFLAGS = -fvisibility=hidden -fno-strict-aliasing -Wall -Wextra -Wmissing-declarations -Wnull-dereference -Wundef -Wredundant-decls -Wshadow -Wsuggest-attribute=format -Wwrite-strings -Wformat=2 -Wstrict-aliasing -Wmissing-noreturn -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Winit-self -Wno-incomplete-setjmp-declaration -Wno-gnu-folding-constant -Wdiscarded-qualifiers -Wmissing-prototypes -Wmissing-parameter-type -Wsuggest-final-types -Wsuggest-final-methods -Wold-style-definition -Wstrict-prototypes -pthread
 AM_CPPFLAGS = -I$(top_builddir)/include -I$(top_srcdir)/include -I$(top_builddir)/src -I$(top_srcdir)/src -include config.h  -I/build/include  -I/build/include 
@@ -234,9 +241,10 @@
 AR = ar
 ARCHTYPE = x86
 ASCIIDOC = /usr/bin/asciidoc
-AUTOCONF = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' autoconf
-AUTOHEADER = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' autoheader
-AUTOMAKE = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' automake-1.17
+ATOMIC_LIBS = 
+AUTOCONF = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.15_release/src/lttng-tools/config/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.15_release/src/lttng-tools/config/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.15_release/src/lttng-tools/config/missing' automake-1.17
 AWK = gawk
 BABELTRACE2_BIN = 
 BABELTRACE_BIN = 
@@ -244,6 +252,7 @@
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
+CLANG2PY = $(realpath $(top_srcdir)/tests/vendor/ctypeslib2/ctypeslib/clang2py.py)
 CMD_DESCR_ADD_CONTEXT = Add context fields to be recorded
 CMD_DESCR_ADD_TRIGGER = Add a trigger
 CMD_DESCR_CLEAR = Clear a recording session
@@ -259,6 +268,7 @@
 CMD_DESCR_LIST = List recording sessions and instrumentation points
 CMD_DESCR_LIST_TRIGGERS = List triggers
 CMD_DESCR_LOAD = Load recording session configurations
+CMD_DESCR_RECLAIM_MEMORY = Reclaim channel memory
 CMD_DESCR_REGENERATE = Regenerate specific recording session data
 CMD_DESCR_REMOVE_TRIGGER = Remove a trigger
 CMD_DESCR_ROTATE = Archive the current trace chunk of a recording session
@@ -270,19 +280,3 @@
 CMD_DESCR_STOP = Stop recording sessions
 CMD_DESCR_TRACK = Allow specific processes to record events
 CMD_DESCR_UNTRACK = Disallow specific processes to record events
-CMD_DESCR_VERSION = Show LTTng-tools version information
-CMD_DESCR_VIEW = Launch a trace reader
-CONFDIR = /usr/local/etc
-CONFIG_LTTNG_SYSTEM_DATADIR = /usr/local/share
-CONSUMERD32_BIN = 
-CONSUMERD32_LIBDIR = 
-CONSUMERD64_BIN = 
-CONSUMERD64_LIBDIR = 
-CPP = gcc -E
-CPPFLAGS = -I/home/jenkins/workspace/lttng-tools_v2.14_release/deps/build/include
-CSCOPE = cscope
-CTAGS = ctags
-CXX = g++ -std=gnu++11
-CXXCPP = g++ -std=gnu++11 -E
-CXXDEPMODE = depmode=gcc3
-CXXFLAGS = -g -O2

=== tests/vendor/ctypeslib2/requirements.txt ===
clang>=7.0

=== debian/changelog ===
ltt-control (2.15.0-1) unstable; urgency=medium

  * [10c2ee1] New upstream version 2.15.0
  * [dfb4dc3] Drop patches merged upstream
  * [2a881d9] d/control: Bump ust dependency version for 2.15
  * [3863f8b] d/control: Update to new standards
  * [b4bde45] Update debian/copyright
  * [1fec147] Add patch to fix tests with '-Wl,-z,now'
  * [9ee4fc3] Update debian/liblttng-ctl0t64.symbols for 2.15.0
  * [9c7b797] Delete debian/files

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 20 Feb 2026 11:17:19 -0500

=== debian/control ===
Source: ltt-control
Section: libs
Maintainer: Jon Bernard <jbernard@debian.org>
Uploaders: Michael Jeanson <mjeanson@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
  asciidoc,
  babeltrace2 <!nocheck>,
  bash-completion,
  bison,
  dh-python,
  libkmod-dev,
  libbabeltrace2-dev,
  liblttng-ust-dev (>= 2.15.0~),
  liblttng-ust-dev (<< 2.16.0~),
  libpopt-dev,
  liburcu-dev (>= 0.11.0~),
  libxml2-dev (>= 2.7.6~),
  pkgconf,
  procps <!nocheck>,
  python3-all-dev,
  python3-bt2 <!nocheck>,
  swig (>= 2.0),
  xmlto,
  xxd <!nocheck>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/ltt-control.git
Vcs-Browser: https://salsa.debian.org/debian/ltt-control
Homepage: https://lttng.org/

Package: lttng-tools
Section: utils
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: babeltrace2
Suggests: lttng-modules-dkms
Description: LTTng control and utility programs
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the unified interface to control both the LTTng kernel
 and userspace (UST) tracers.

Package: liblttng-ctl0t64
Provides: ${t64:Provides}
Replaces: liblttng-ctl0
Breaks: liblttng-ctl0 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LTTng control and utility library
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the control libraries used by lttng-tools.

Package: liblttng-ctl-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, liblttng-ctl0t64 (= ${binary:Version})
Description: LTTng control and utility library (development files)
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the development files for liblttng-ctl. This allows
 implementing trace control in external applications.

Package: python3-lttng
Section: python
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  liblttng-ctl0t64 (= ${binary:Version})
Provides: ${python3:Provides}
Description: LTTng control and utility Python bindings
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the Python bindings to lttng.
